Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg.logger
Interface ConfigAppender

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  ConfigConsoleAppender, ConfigDailyRollingFileAppender, ConfigFileAppender, ConfigNTLogAppender, ConfigRollingFileAppender, ConfigSocketAppender, ConfigSysLogAppender, ConfigTelnetAppender

    public interface ConfigAppender

extends java.io.Serializable

The `ConfigAppender` takes charge of managing and associating appender's general properties.

Since:
  V8

Field Summary
`static java.lang.String` | `DST_CONSOLE` Specifies log destination to console.
`static java.lang.String` | `DST_DAILY_ROLLING_FILE` Specifies log destination to daily rolling file.
`static java.lang.String` | `DST_FILE` Specifies log destination to disk file.
`static java.lang.String` | `DST_LF5` Specifies log destination to LF5.
`static java.lang.String` | `DST_NTLOG` Specifies log destination to NTLog.
`static java.lang.String` | `DST_ROLLING_FILE` Specifies log destination to rolling file.
`static java.lang.String` | `DST_SOCKET` Specifies log destination to Socket.
`static java.lang.String` | `DST_SYSLOG` Specifies log destination to Syslog.
`static java.lang.String` | `DST_TELNET` Specifies log destination to Telnet.
`static java.lang.String` | `LAYOUT_HTML` Property for appender layout type html.
`static java.lang.String` | `LAYOUT_PATTERN` Property for appender layout type pattern.
`static java.lang.String` | `LAYOUT_SIMPLE` Property for appender layout type simple.
`static java.lang.String` | `LAYOUT_TTCC` Property for appender layout type ttcc.
`static java.lang.String` | `LAYOUT_XML` Property for appender layout type xml.
`static java.lang.String[]` | `LAYOUTS` Properties for appender layout types contain
`static java.lang.String` | `THRESHOLD_ALL` Property for appender threshold level ALL.
`static java.lang.String` | `THRESHOLD_DEBUG` Property for appender threshold level DEBUG.
`static java.lang.String` | `THRESHOLD_ERROR` Property for appender threshold level ERROR.
`static java.lang.String` | `THRESHOLD_FATAL` Property for appender threshold level FATAL.
`static java.lang.String` | `THRESHOLD_INFO` Property for appender threshold level INFO.
`static java.lang.String` | `THRESHOLD_OFF` Property for appender threshold level OFF.
`static java.lang.String` | `THRESHOLD_WARN` Property for appender threshold level WARN.
`static java.lang.String[]` | `THRESHOLDS` Properties for appender threshold levels contain

Method Summary
`java.lang.String` | `getName()` Gets the appender name, for example, "File", "RollingFile", ..., etc.
`java.lang.String` | `getThreshold()` Gets the threshold of the appender/destination.
`boolean` | `isSelected()` Checks whether the appender is selected as a valid output destination by its logger or not.
`void` | `setSelected(boolean select)` Sets the appender's selectivity to its logger.
`void` | `setThreshold(java.lang.String threshold)` Sets the threshold value to the appender.

Field Detail

### THRESHOLD_OFF

    static final java.lang.String THRESHOLD_OFF

  Property for appender threshold level OFF.

  See Also:
    Constant Field Values

### THRESHOLD_FATAL

    static final java.lang.String THRESHOLD_FATAL

  Property for appender threshold level FATAL.

  See Also:
    Constant Field Values

### THRESHOLD_ERROR

    static final java.lang.String THRESHOLD_ERROR

  Property for appender threshold level ERROR.

  See Also:
    Constant Field Values

### THRESHOLD_WARN

    static final java.lang.String THRESHOLD_WARN

  Property for appender threshold level WARN.

  See Also:
    Constant Field Values

### THRESHOLD_INFO

    static final java.lang.String THRESHOLD_INFO

  Property for appender threshold level INFO.

  See Also:
    Constant Field Values

### THRESHOLD_DEBUG

    static final java.lang.String THRESHOLD_DEBUG

  Property for appender threshold level DEBUG.

  See Also:
    Constant Field Values

### THRESHOLD_ALL

    static final java.lang.String THRESHOLD_ALL

  Property for appender threshold level ALL.

  See Also:
    Constant Field Values

### THRESHOLDS

    static final java.lang.String[] THRESHOLDS

  Properties for appender threshold levels contain

              THRESHOLD_OFF,
              THRESHOLD_FATAL,
              THRESHOLD_ERROR,
              THRESHOLD_WARN,
              THRESHOLD_INFO,
              THRESHOLD_DEBUG,
              THRESHOLD_ALL.

### LAYOUT_PATTERN

    static final java.lang.String LAYOUT_PATTERN

  Property for appender layout type pattern.

  See Also:
    Constant Field Values

### LAYOUT_HTML

    static final java.lang.String LAYOUT_HTML

  Property for appender layout type html.

  See Also:
    Constant Field Values

### LAYOUT_XML

    static final java.lang.String LAYOUT_XML

  Property for appender layout type xml.

  See Also:
    Constant Field Values

### LAYOUT_TTCC

    static final java.lang.String LAYOUT_TTCC

  Property for appender layout type ttcc.

  See Also:
    Constant Field Values

### LAYOUT_SIMPLE

    static final java.lang.String LAYOUT_SIMPLE

  Property for appender layout type simple.

  See Also:
    Constant Field Values

### LAYOUTS

    static final java.lang.String[] LAYOUTS

  Properties for appender layout types contain

              LAYOUT_PATTERN,
              LAYOUT_HTML,
              LAYOUT_XML,
              LAYOUT_TTCC,
              LAYOUT_SIMPLE.

### DST_FILE

    static final java.lang.String DST_FILE

  Specifies log destination to disk file.

  See Also:
    Constant Field Values

### DST_ROLLING_FILE

    static final java.lang.String DST_ROLLING_FILE

  Specifies log destination to rolling file.

  See Also:
    Constant Field Values

### DST_DAILY_ROLLING_FILE

    static final java.lang.String DST_DAILY_ROLLING_FILE

  Specifies log destination to daily rolling file.

  See Also:
    Constant Field Values

### DST_CONSOLE

    static final java.lang.String DST_CONSOLE

  Specifies log destination to console.

  See Also:
    Constant Field Values

### DST_LF5

    static final java.lang.String DST_LF5

  Specifies log destination to LF5.

  See Also:
    Constant Field Values

### DST_SOCKET

    static final java.lang.String DST_SOCKET

  Specifies log destination to Socket.

  See Also:
    Constant Field Values

### DST_NTLOG

    static final java.lang.String DST_NTLOG

  Specifies log destination to NTLog.

  See Also:
    Constant Field Values

### DST_SYSLOG

    static final java.lang.String DST_SYSLOG

  Specifies log destination to Syslog.

  See Also:
    Constant Field Values

### DST_TELNET

    static final java.lang.String DST_TELNET

  Specifies log destination to Telnet.

  See Also:
    Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Gets the appender name, for example, "File", "RollingFile", ..., etc.

  Returns:
    the appender name.

### getThreshold

    java.lang.String getThreshold()

  Gets the threshold of the appender/destination. Note: currently, the appender's threshold is actually equivalent to the logger's level. The appender can only support the following possible thresholds:

              "OFF"
              "FATAL"
              "ERROR"
              "WARN"
              "INFO"
              "DEBUG"
              "ALL"

  Returns:
    the threshold.

### setThreshold

    void setThreshold(java.lang.String threshold)

  Sets the threshold value to the appender.

  Parameters:
    `threshold` - the threshold value.

### isSelected

    boolean isSelected()

  Checks whether the appender is selected as a valid output destination by its logger or not.

  Returns:
    true if the appender is selected, or else false.

### setSelected

    void setSelected(boolean select)

  Sets the appender's selectivity to its logger.

  Parameters:
    `select` - the boolean value to decide whether the appender is set to its logger.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD